---
title: Engineering Hiring
---

## Hiring Practices

Please reference our [internal hiring repository](https://gitlab.com/gitlab-com/people-group/hiring-processes/-/tree/master/Engineering) for internal best practices and guidelines.

### R&D New Headcount GHPID Request, Backfill & Transfer Process

#### New Headcount Process

Budgeted new headcount review occurs on a regular basis across Engineering Leadership, Talent Acquisition, Finance Business Partners (FPB), and People Business Partners (PBP). The process to open a new headcount is Talent Acquisition and Finance-driven, with a focus on ensuring communication, consistency and collaboration between the Engineering and People teams.

1. **Talent Acquisition**: Talent Acquisition will use the New Headcount Issue template to request a GHPID via the [R&D Headcount Project](https://gitlab.com/gitlab-headcount/r-and-d-headcount/) in GitLab. Details to be included: details of the role, Hiring Manager, target start date, and budget initiative (if applicable). The Finance Business Partner, Department VP, PBP, Recruiting Manager and Recruiter will be tagged. The following labels will be applied: Department, “New Headcount” and “Workflow: Finance GHPID.”
1. **Department VP**: Department VP will review the Issue, provide context or guidance as necessary and approve the role as recruiting ready for GHPID creation.
1. **Finance Business Partner**: The FBP will create a GHPID for the forecasted role in Adaptive, add the GHPID to the Issue and mark the step as complete signaling the forecast has been updated. If the FBP needs more information they will ask the department leader before providing a GHPID. If there is an increase in the expense for the new headcount request from current forecast (this could be driven by an earlier start date, increase in level, or change in roles), they will work with the department leader at that time to identify tradeoff options to fund the increase before providing the GHPID and approving. Once the GHPID is approved the FBP will apply the “Workflow: Recruiting” label to the issue.
1. **Recruiter**: The Recruiter will create the Greenhouse requisition and report the new requisition number on the Issue, checking off when complete, and adding the “Workflow: Req Now Hiring” label to the Issue. The Recruiter will communicate the role Kickoff process with the Hiring Manager, send a Kickoff issue for completion and advertise the role internally.
1. **Hiring Manager**: The Hiring Manager is notified of the role approval by receiving the Kickoff Issue from the Recruiter. The kickoff issue must be completed within 5 days, with a synchronous kickoff meeting scheduled to go through the kickoff and take a formal job brief.

#### Backfill Headcount Process

This Backfill process is to be used when a team member departs from GitLab or they transfer to a different role. This process ensures alignment between the Department Head, Finance Business Partner and Talent Acquisition. For departures, a backfill can only be opened once a departure or resignation is official where we've received written confirmation of the departure including the last working day and the [offboarding process](https://about.gitlab.com/handbook/people-group/offboarding/#starting-the-process) has been completed in Workday. For transfers, a backfill can only be opened once a transfer is official where an [offer letter stating the transfer date](https://about.gitlab.com/handbook/people-group/promotions-transfers/#internal-transfer-start-date) has been completed.

1. **Manager**: Manager is made aware of team member departure (either through our [voluntary](https://about.gitlab.com/handbook/people-group/offboarding/#voluntary-offboarding), [involuntary](https://about.gitlab.com/handbook/people-group/offboarding/#involuntary-offboarding) offboarding) or [transfer process](https://about.gitlab.com/handbook/people-group/promotions-transfers/#department-transfers).
1. **Manager**: Manager shares the offboarding or transfer with their [People Business Partner](https://about.gitlab.com/handbook/people-group/#people-business-partner-alignment-to-division) and direct manager, up to their Department Head. The manager, team member, and/or Team Member Relations (where appropriate) should follow the relevant [offboarding steps in Workday](https://about.gitlab.com/handbook/people-group/offboarding/#voluntary-offboarding) dependent on the situation.  PBP and Department leadership can be notified via a private Slack channel if needed. Finance Business Partners (FBP) do not have to be included in these private channels.
1. **Talent Acquisition**: TA Leadership will have access to a Workday Attrition Notification Report that will be reviewed 2x weekly to identify backfill role needs. TA Leadership will allocate the backfill role to the appropriate Recruiter. Within 30 days of the Workday termination date the Recruiter will use the Utilizing Backfill Headcount Issue template to request a GHPID via the [R&D Headcount Project](https://gitlab.com/gitlab-headcount/r-and-d-headcount/) in GitLab. The Finance Business Partner, eGroup Leader, Department VP, People Business Partner, and Recruiting Manager will be tagged in this issue, and the Department and “backfill headcount” labels will be added to the Issue.
1. **eGroup Leader**: The eGroup leader will review the Issue and determine how this backfill headcount will be utilized (backfill in kind, reallocate to a role within the department, reallocate to a different department etc.). The eGroup leader will provide context or guidance as necessary and approve the role as recruiting ready for GHPID creation. After approval, the TA Leader will add the “Workflow: Finance GHPID Allocation” label.
1. **Finance Business Partner**: The “Workflow: Finance GHPID Allocation” label indicates that the role is ready for FBP (Finance Business Partner) review and GHPID allocation. FBP will create the backfill headcount in Adaptive, and generate a GHPID for the backfill headcount. They will then add the GHPID to the Issue and mark the step as complete. This signals that the forecast has been updated with the backfill. If the FBP needs more information they will ask the TA leadership or eGroup or Departmental leader at this time before providing a GHPID. If there is a change in the associated backfill expense, they will work with the leader to identify tradeoff options before approving.
1. **Recruiter**: The TA Leader will tag the appropriate Recruiter who will create the Greenhouse requisition and report the new requisition number on the Issue, checking off when complete. The Recruiter will add the “Workflow: Req Now Hiring” label to the Issue and ensure the Hiring Manager has been notified to begin the kickoff process.

#### Headcount Transfer Process

1. **Department Heads and PBPs**: If two Department Heads agree to move a new headcount between their teams each leader should reach out to their respective PBPs to discuss org structure and/or org planning considerations. PBPs will share relevant information (org design/level/placement) with Finance and Talent Acquisition through the [Triad process](https://about.gitlab.com/handbook/hiring/talent-acquisition-framework/triadprocess/#:~:text=The%20Triad%20process%20exists%20to,collaboration%2C%20reporting%20and%20metrics%20tracking).
1. **Talent Acquisition**: TA will own the process of creating an Approved Needing Swap issue in the Headcount Project to confirm that both departments are in agreement with the move.
1. **Finance Business Partner**: The FBP will create a GHPID for the forecasted role in Adaptive, add the GHPID to the Issue and mark the step as complete, signaling the forecast has been updated. If more information is required, the FPB will reach out to the department leader or PBP before providing a GHPID.
1. **People Business Partner**: After a GHPID has been allocated, the PBP will ensure that both the "Cost Center" and “Supervisory Org” dimensions in Workday are updated and accurate.

### Shadowing VPE's interviews

- Interview shadowing should be done for quality and training purposes with approval from the candidate prior to the scheduled interview time
- Shadow will need to partner with Eric to determine the most beneficial interview to attend
- Talent Acquisition or EBA will request permission from the candidate prior to including the shadow on the invite to set candidate experience expectations
- The shadowing GitLab team member should be prepped on what (if anything) will be said to the candidate during the interview
- Immediately following the shadowed interview (or shortly thereafter, schedules permitting) the shadow and Eric will have a 30 min sync and submit scorecard for the candidate
